
html {
    --top: darkgreen;
    --grey-300: #dcdcdc;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: visible;
}

.elx-auth .cms-auth-hidden { display: none !important;}
.elx-auth .cms-auth-shown { display: block !important;}

.cms-auth-hidden{ display: block !important;}
.cms-auth-shown{ display: none !important;}

.spinner {
    display: block;
    margin: auto;
    height: 0.6rem;
    width: 1.2rem;
    display: none;
}
.elx-cms {
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    column-gap: 0.5rem;
    row-gap: 0.5rem;
}
/* .elx-cms-header-panel {
    background-color: var(--header-bg);
}*/
/* Scroller */
.elx-cms-scroller {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
}

/* Iframe */
.elx-cms-iframe{
    border: none;
    overflow: scroll !important;
    overflow-y: scroll !important;
}
/* HSpacer */
.elx-cms-hspacer {
    display:inline-block;
    height: 100%;
}
.elx-cms-vspacer, .elx-cms-hspacer {
    flex: 0 0 auto;
}
/* Button */
.elx-cms-button {
    flex: 0 0 auto;
    display: flex;
    cursor: pointer;
    padding: 0.2rem 0.6rem;
    text-align: center;
    text-decoration: none;
    color: var(--button-fg);
    background-color: var(--button-bg);
    border-radius: 0.2rem;
    outline: none;
    font-size: 0.8rem;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--edge);
}

.elx-cms-button:hover {
    background-color: var(--button-hover-bg);
    color: var(--button-hover-fg);
}
.elx-cms-button.elx-button-selected {
    background-color: var(--button-sel-bg);
    color: var(--button-sel-fg);
}
.elx-cms-button.elx-button-selected:hover {
    background-color: var(--button-hover-bg);
    color: var(--button-hover-fg);
}
.elx-cms-button .label-left {
    margin-right : 0.2rem
}

.elx-cms-button .label-right {
    margin-left : 0.2rem
}

/* Template Content */
.elx-cms-template-content {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    column-gap: 0.5rem;
    row-gap: 0.5rem;
}
/* Row */
.elx-cms-row {
    display: flex;
    flex: 1 1 auto;
}
.elx-cms-row-container {
    display: flex;
    flex: 1 1 auto;
    column-gap: 0.5rem;
}
/* Column */
.elx-cms-column {
    display : inline-flex;
    flex: 1 1 auto;
    flex-direction: column;
    height: 100%;
}
.elx-cms-column-header {
    padding: 0.8rem;
    padding-bottom: 0;
}
.elx-cms-column-description {
    padding-top: 0.4rem;
    padding-bottom: 0;
}
.elx-cms-column-title {
    font-size: 120%;
    margin-bottom: 0.5rem;
}
.elx-cms-column-body {
    display: flex;
    flex: 1 1 auto;
    padding: 0.8rem;
    padding-top: 0.4rem;
    flex-direction: column;
    row-gap: 0.5rem;
}
/* Tabs */
.elx-cms-tabs {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
}
.elx-cms-tabs-header {
    overflow: hidden;
    flex: 0 0 auto;
}
.elx-cms-tabs-body {
    border: 1px solid #999;
    display: flex;
    flex: 1 1 auto;
}
.elx-cms-tab-panel {
    display : flex;
    flex: 1 1 auto;
    flex-direction: column;
    padding: 0.5rem;
    min-height:1rem;
}
.elx-cms-tab {
    float: left;
    margin-right: 0.5rem;
    display: inline-block;
    padding: 0.3rem;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    color: var(--button-fg);
    border: 1px solid var(--edge);
    border-bottom-style: none;
    background-color: var(--button-bg);
}
.elx-cms-tab:hover {
    background-color: var(--button-hover-bg);
    color: var(--button-hover-fg);
}
.elx-cms-tab.selected {
    background-color: var(--button-sel-bg);
    color: var(--button-sel-fg)
}
.elx-cms-tab.disabled {
    background-color: var(--button-disabled-bg);
    color: var(--button-disabled-fg);
}
.elx-cms-tab:not(:disabled):not(.disabled):hover {
    cursor: pointer;
}
/* Button Menu */
.elx-cms-button-menu {
    display: flex;
    flex: 0 0 auto;
}
.elx-cms-button-menu .elx-cms-button{
    border-radius: 0;
    border: none;
}
/* Dropdown Menu */
.elx-cms-button-menu.vertical {
    flex-direction: column;
}
.elx-cms-button-menu.dropdown {
    margin: 0;
    padding: 0;
    list-style: none;
    display:flex;
}
.elx-cms-button-menu.dropdown li {
    position: relative;
    display: inline-flex;
}
.elx-cms-button-menu.dropdown .elx-cms-dropdown-submenu {
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}
.elx-cms-button-menu.dropdown li a {
    text-align: center;
    text-decoration: none;
    display: inline-flex;
    flex: 1 1 auto;
    padding: 10px;
}
.elx-cms-button-menu.dropdown li ul {
    position: absolute;
    z-index: 9000;
    top: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    display: none;
    line-height: normal;
}
.elx-cms-button-menu.dropdown li ul li a {
    text-align: start;
    display: block;
    white-space: nowrap;
}
.elx-cms-button-menu.dropdown li ul li a:hover {
    background-color: var(--row-hover-bg);
}
.elx-cms-button-menu.dropdown li ul li ul {
    inset-inline-start: 100%;
    top: 0;
}
.elx-cms-button-menu.dropdown li:hover>ul {
    display: flex;
    flex-direction: column;
}
.elx-cms-button-menu.dropdown .elx-cms-button {
    padding: 0.5rem 1rem 0.5rem 1rem;
    border-radius: 0;
}
/* Toggle Panel */
.elx-cms-togglepanel {
}
.elx-cms-togglepanel-header {
    padding: 0.8rem;
    padding-bottom: 0;
}
.elx-cms-togglepanel-body {
    display: flex;
    flex: 1 1 auto;
    padding: 0.8rem;
    padding-top: 0.4rem;
    flex-direction: column;
    row-gap: 0.5rem;
    min-height:1rem;
}

.elx-cms-togglepanel-body.bottom {
    align-items: flex-end;
}
/* Step Image Menu */
.elx-cms-step-image-menu {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}
.elx-cms-step-image-menu-navigator{
    display: flex;
}
.elx-cms-step-image-menu-body{
    display: flex;
}
.elx-cms-step-image-menu-footer{
    display: flex;
    flex-flow: row-reverse;
    gap: 0.2rem;
}

.elx-cms-step-image-menu-body.bottom{
    align-items: flex-end;
}
.elx-cms-step-image-menu-item {
    cursor:pointer;
    display: flex;
    flex: 1 1 auto;
    justify-items: center;
    align-items: center;
    flex-direction: column;
    min-height:1rem;
}

.elx-cms-step-image-menu-item.disabled {
    pointer-events:none;
}

.elx-cms-step-image-menu-label {
    margin-top: 0.3rem;
    color: var(--button-fg);
}
.elx-cms-step-image-menu-item.selected .elx-cms-step-image-menu-label {
    color: var(--button-sel-fg);
}
.elx-cms-step-image-menu-image{
}
.elx-cms-step-image-menu-step {
    display: flex;
    position: relative;
    width: 100%;
    height: 2.4rem;
    flex: 1 1 auto;
}
.elx-cms-step-image-menu-line {
    display: inline-block;
    flex: 1 1 auto;
    height: 1.2rem;
    border-bottom: var(--button-fg);
    position: relative;
}
.elx-cms-step-image-menu-line.first {
    visibility :hidden
}
.elx-cms-step-image-menu-line.last {
    visibility :hidden
}
.elx-cms-step-image-menu-image  {
    display: inline-block;
}

.elx-cms-step-image-menu-circle {
    cursor : pointer;
    border-radius: 50%;
    border: 1px solid var(--button-fg);
    color: var(--button-fg);
    background-color: var(--button-bg);
    text-align: center;
    bottom: 0;
    left: 50%;
    position: absolute;
    top: 50%;
    width: 1rem;
    height: 1rem;
    margin-top: -0.5rem;
    margin-left: -0.5rem;
}
.elx-cms-step-image-menu-circle:hover {
    background-color: var(--button-hover-bg);
    color:  var(--button-hover-fg);
}
.elx-cms-step-image-menu-item.selected .elx-cms-step-image-menu-circle {
    color: var(--button-sel-fg);
    background-color: var(--button-sel-bg);
}

.elx-cms-step-image-menu-panel{
    display: flex;
    flex: 1 1 auto;
    min-height:1rem;
}
.elx-cms-hidden {
    display: none !important;
}

.elx-cms-ambienceHeader{
    display: flex;
    flex-direction: column;
}

.elx-cms-ambienceHeader .elx-cms-ambienceHeader-container{
    box-sizing: border-box;
}

.elx-cms-ambienceHeader .hpanel{
    box-sizing: border-box;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    overflow: hidden;
    height: 100%;
}

.elx-cms-ambienceHeader .suite-info img {
    width: 50px;
    height: 48px;
}

.elx-cms-ambienceHeader.elx-cms-services-hidden .suite-info {
    width: auto !important;
}

.elx-cms-ambienceHeader.elx-cms-services-hidden .elx-message-count {
    right: 4.6rem
}

.elx-cms-news {
}

.elx-cms-news .news-item {
    margin-bottom: 1rem;
    margin-top: 1rem;
    padding-bottom: 2rem;
    border-bottom: 1px solid var(--edge);
}

.elx-cms-news .news-title {
    font-weight: bold;
    margin-bottom: 0.5rem;
}

.elx-cms-news .news-date {
    float:right;
}

.elx-cms-news .news-date .date-icon {
    margin-right: 0.2rem;
}

.elx-cms-news .news-body {

}

/* */
.image-float-left{
    float:inline-start;
    margin-inline-start: 0.3rem;
    margin-right:0.3rem;
}
.image-float-right{
    float:inline-end;
    margin-inline-end: 0.3rem;
    margin-left:0.3rem;
}
.image-left{
    margin-right:0.3rem;
}
.image-right{
    margin-left:0.3rem;
}
.elx-cms-text-spacer:after {
    content: "\00a0";
}
.elx-cms-html-tab-char::after {
    content: "\00a0\00a0\00a0\00a0";
}

.cms-view-switcher {
    position: relative;
    width: 7.5rem;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    overflow: hidden;
    position: absolute;
    z-index: 2000;
    border: 1px solid var(--edge);
    top: 6rem;
    right: 2rem;
}


.cms-view-switcher-header {
    display: flex;
}
.cms-view-switcher-title {
    flex: 1;
    font-weight: bold;
    font-size: 90%;
    padding-left: 0.2rem;
    padding-right: 0.1rem;
    cursor: move;
    border-bottom: 1px solid var(--edge);
    overflow: hidden;
}
.cms-view-switcher-title .fa {
    margin-right: 0.5rem;
}
.cms-view-switcher-body {
    background-color: var(--surface-bg);
    overflow: none;
}

/* ============ Tooltip ============ */
.elx-cms-button.elx-cms-tooltip {
    position: relative;
    display: inline-block;
}
  
.elx-cms-button.elx-cms-tooltip:focus,
.elx-cms-button.elx-cms-tooltip:hover {
    outline: none;
    pointer-events: auto;
}
  
.elx-cms-button.elx-cms-tooltip:hover::after {
    font-weight: normal;
    content: attr(data-title);
    position: absolute;
    width: max-content;
    max-width: 320px;
    background-color: var(--grey-300);
    color: var(--text-primary);
    font-size: 14px;
    text-align: left;
    padding: 10px 12px;
    border-radius: 4px;
    opacity: 1;
    visibility: visible;
    transition: opacity 0.3s ease-in-out;
    z-index: 100;
    white-space: normal;
    word-wrap: break-word;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    pointer-events: none;
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-top:hover::after {
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 12px;
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-bottom:hover::after {
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 12px;
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-start:hover::after {
    top: 50%;
    right: 100%;
    transform: translateY(-50%);
    margin-right: 12px;
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-end:hover::after {
    top: 50%;
    left: 100%;
    transform: translateY(-50%);
    margin-left: 12px;
}
  
.elx-cms-button.elx-cms-tooltip:hover::before {
    content: '';
    position: absolute;
    transform: translateX(-50%);
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid var(--grey-300);
    z-index: 101;
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-top:hover::before {
    top: -12px;
    left: 50%;
    transform: translateX(-50%) rotate(0deg);
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-bottom:hover::before {
    bottom: -12px;
    left: 50%;
    transform: translateX(-50%) rotate(180deg);
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-start:hover::before {
    top: 44%;
    right: 100%;
    margin-right: 10px;
    transform: translateX(50%) rotate(270deg);
}

.elx-cms-button.elx-cms-tooltip.elx-cms-tooltip-end:hover::before {
    top: 44%;
    left: 100%;
    margin-left: 10px;
    transform: translateX(-50%) rotate(90deg);
}

/* ============ End Tooltip ============ */




